Subject: Re: bug#5725: 23.1.94; list_system_processes for BSD_SYSTEM (with patch)

From: Eduard Wiebe <[email-masked]>
Date: Sun, 04 Apr 2010 19:15:21 +0200

Leo <[email-masked]> writes:

>>> The included patch implements list_system_processes through sysctl.h
>>> which I guess is available on all BSD systems. I have also implemented
>>> process_attributes and will send it in after more testing.
>>
>> I've already done this and send it several weeks ago (bug#5243). Can you
>> test this patch on other BSD (!= FreeBSD) machine(s)?
>
> I guess things have diverged on these BSD systems. 
> Your patch can't compile on Darwin (log attached). 

Too sad!

> I wonder if you and YAMAMOTO Mitsuh can make the patch in #5243 work
> on Darwin too.

Probably, you're right. 

> My implementation of process_attributes involves using libproc.h which
> is declared as private interface. I am thinking of changing it to use
> mach/task_info.h but I haven't got around to do it.

Sorry, but here i'm giving up.

-- 
Eduard Wiebe